Bug 457673 - Dual head / one big screen (ATI) configuration does not work in gnome
Dual head / one big screen (ATI) configuration does not work in gnome
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-03 06:09 EDT by Dr. Peter Boy
Modified: 2018-04-11 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 03:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file for "one big screen" mode (ATI radeon) (2.88 KB, text/plain)
2008-08-03 06:09 EDT, Dr. Peter Boy
no flags Details

  None (edit)
Description Dr. Peter Boy 2008-08-03 06:09:23 EDT
Created attachment 313287 [details]
xorg.conf file for "one big screen" mode (ATI radeon)

Description of problem:
Dual head on an ATI dual DVI graphics adapter (RV350AP - Radeon 9600, free radeon driver) works during bootup and on login screen (shows one big destop - ATI xinerama mode), but switches to cloned desktop after logging in. After logged in can switch back to "one big screeen" using xrandr --output DVI-0 --right-of DVI-1

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.905-2.20080702.fc9.x86_64
xorg-x11-drv-ati-6.8.0-14.fc9.x86_64

How reproducible:
every time at boot

Steps to Reproduce:
1. install ATI 9600 hardware and radeon driver
2. configure for one bigscreen (ATI speech for Xinerama) using attached xorg.conf
3. login using gnome
  
Actual results:
one big screen works during boot and gdm log in, switches to cloned mode during processing the loggin

Expected results:
stay in "one big screen mode" after log in

Additional info:
Comment 1 Dr. Peter Boy 2008-08-03 06:10:58 EDT
May be related to bug  442965   which seems to be the same for a nvidia graohics adapter
Comment 2 Dave Airlie 2008-08-04 00:01:01 EDT
can you see if you have a ~/.gnome2/monitors.xml?

if so can you remove it?
Comment 3 Dr. Peter Boy 2008-08-04 03:58:44 EDT
There was a  ~/.gnome2/monitors.xml

I removed it and everything works now as expected. Great!

I updated the system from FC7, where I used the same hardware and MergedFB (just in case it is interesting where monitors.xml may come from).

One minor hint:

DVI-1 is the default output which is used for Bios, Grub and during the first, non graphical boot. In (standard) gdm the lower panel (with the handicapped selector, language selector, etc) is on the DVI-1 (left in my case) whereas the login box is on DVI-0 (right in my case). 

Previously with MergedFB all of them were on the default output, DVI-1. 

In monitors.xml there was the following content:

<configuration>
    <clone>no</clone>
    <output name="S-video">
    </output>
    <output name="DVI-1">
        <vendor>NEC</vendor>
        <product>0x65df</product>
        <serial>0x01010101</serial>
        <width>1280</width>
        <height>1024</height>
        <rate>60</rate>
        <x>0</x>
        <y>0</y>
        <rotation>normal</rotation>
        <reflect_x>no</reflect_x>
        <reflect_y>no</reflect_y>
    </output>
    <output name="DVI-0">
        <vendor>NEC</vendor>
        <product>0x65df</product>
        <serial>0x01010101</serial>
        <width>1280</width>
        <height>1024</height>
        <rate>60</rate>
        <x>0</x>
        <y>0</y>
        <rotation>normal</rotation>
        <reflect_x>no</reflect_x>
        <reflect_y>no</reflect_y>
    </output>
</configuration>
Comment 5 Bug Zapper 2009-06-09 22:21:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Dr. Peter Boy 2009-06-10 03:14:44 EDT
Fixed. Cause of the problem was a left over from Fedora 7.

Note You need to log in before you can comment on or make changes to this bug.